Loading...
Searching...
No Matches
seqan3::argument_parser_meta_data Struct Reference
Argument Parser

Stores all parser related meta information of the seqan3::argument_parser. More...

`#include <seqan3/argument_parser/auxiliary.hpp>`

## Public Attributes

std::string | app_name
| The application name that will be displayed on the help page.
std::string | author
| Your name ;-).
std::string | citation
| How users shall cite your application.
std::string | date
| The date that the application was last updated. Keep this updated, ! since it will tell your users that the application is maintained.
std::vector< std::string > | description
| A more detailed description that is displayed on the help page in the section "DESCRIPTION". Each std::string appended to the description vector will be treated as a paragraph and is separated by a new line.
std::string | email
| The author's e-mail address for correspondence.
std::vector< std::string > | examples
| Provide some examples on how to use your tool and what standard parameters might be appropriate in different cases (e.g. "./my_read_mapper -s 3 --my_flag path/infile1").
std::string | long_copyright
| Detailed copyright information that will be displayed when the user specifies "--copyright" on the command line.
unsigned | man_page_section {1}
| The man page section info (type man man on the command line for more information).
std::string | man_page_title
| The title of your man page when exported by specifying "--export-help man" on the common line.
std::string | short_copyright
| Brief copyright (and/or license) information.
std::string | short_description
| A short description of the application (e.g. "A tool for mapping reads to the genome").
std::vector< std::string > | synopsis
| Add lines of usage to the synopsis section of the help page (e.g. "./my_read_mapper [OPTIONS] FILE1 FILE1").
std::string | url
| A link to your github/gitlab project with the newest release.
std::string | version
| The version information MAJOR.MINOR.PATH (e.g. 3.1.3).

## Detailed Description

Stores all parser related meta information of the seqan3::argument_parser.

Attention
  You should supply as much information as possible to help the users of your application.

The meta information is assembled in a struct to provide a central access point that can be easily extended.

Remarks
  For a complete overview, take a look at Argument Parser

## Member Data Documentation

## app_name

std::string seqan3::argument_parser_meta_data::app_name

The application name that will be displayed on the help page.

The application name must only contain alpha-numeric characters, '' or '-', i.e. the following regex must evaluate to true: `"^[a-zA-Z0-9-]+$"`.

The documentation for this struct was generated from the following file:

- auxiliary.hpp

Hide me